

Patch from Frank Cornelis <fcorneli@elis.rug.ac.be>

"According to cachetlb.txt the following should be fixed in order to
 get it right on some architectures."

(And I converted it from kmap to kmap_atomic)




 ptrace.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN kernel/ptrace.c~ptrace-flush kernel/ptrace.c
--- 25/kernel/ptrace.c~ptrace-flush	2003-01-16 19:40:06.000000000 -0800
+++ 25-akpm/kernel/ptrace.c	2003-01-16 19:40:06.000000000 -0800
@@ -179,16 +179,16 @@ int access_process_vm(struct task_struct
 
 		flush_cache_page(vma, addr);
 
-		maddr = kmap(page);
+		maddr = kmap_atomic(page, KM_USER0);
 		if (write) {
 			memcpy(maddr + offset, buf, bytes);
-			flush_page_to_ram(page);
+			flush_dcache_page(page);
 			flush_icache_user_range(vma, page, addr, bytes);
 		} else {
+			flush_dcache_page(page);
 			memcpy(buf, maddr + offset, bytes);
-			flush_page_to_ram(page);
 		}
-		kunmap(page);
+		kunmap_atomic(maddr, KM_USER0);
 		page_cache_release(page);
 		len -= bytes;
 		buf += bytes;

_
